
package com.archeus.test;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

@WebService(name = "InflectorService", targetNamespace = "http://www.archeus.ro/lingvistica/services/Inflector")
@SOAPBinding(style = SOAPBinding.Style.RPC, use = SOAPBinding.Use.LITERAL, parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface InflectorService {

	@WebMethod(operationName = "inflectWord", action = "")
	@WebResult(name = "inflectWordReturn", targetNamespace = "http://www.archeus.ro/lingvistica/services/Inflector")
	public String inflectWord(
			@WebParam(name = "word", targetNamespace = "http://www.archeus.ro/lingvistica/services/Inflector")
			String word,
			@WebParam(name = "lang", targetNamespace = "http://www.archeus.ro/lingvistica/services/Inflector")
			String lang);

}
